KDE 4.5 PyKDE API Reference

- KDE's Python API

# AbstractDataPlugin Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.RenderPlugin → QObject
Namespace: Marble.AbstractDataPlugin

## Detailed Description

@short: An abstract class for plugins that show data that has a geo coordinate

This is the abstract class for plugins that show data on Marble map. It takes care of painting all items it gets from the corresponding AbstractDataPluginModel that has to be set on initialisation.

The user has to set the nameId as well as the number of items to fetch. Additionally it should be useful to set standard values via setEnabled (often true) and setVisible (often false) in the constructor of a subclass.

## Signals

| changedNumberOfItems (, long number)

## Methods

| __init__ (self)
QStringList | backendTypes (self)
| changedNumberOfItems (self, long number)
| initialize (self)
bool | isInitialized (self)
Marble.AbstractDataPluginModel | model (self)
QString | nameId (self)
long | numberOfItems (self)
Marble.PluginManager | pluginManager (self)
bool | render (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos="NONE", Marble.GeoSceneLayer layer=0)
QString | renderPolicy (self)
QStringList | renderPosition (self)
| setModel (self, Marble.AbstractDataPluginModel model)
| setNameId (self, QString name)
| setNumberOfItems (self, long number)
[Marble.AbstractDataPluginItem] | whichItemAt (self, QPoint curpos)

## Method Documentation

__init__ | ( |  | self ) |

QStringList backendTypes | ( |  | self ) |

Returns the name(s) of the backend that the plugin can render

changedNumberOfItems | ( | self, |
|  | long | number
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("changedNumberOfItems(quint32)"), target_slot)`

initialize | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Initialized the plugin and make it ready to be painted.

bool isInitialized | ( |  | self ) |

Marble.AbstractDataPluginModel model | ( |  | self ) |

Returns:
  The model associated with the plugin.

QString nameId | ( |  | self ) |

Returns:
  Returns the nameId of the item

long numberOfItems | ( |  | self ) |

Returns:
  The number of items to be shown at the same time.

Marble.PluginManager pluginManager | ( |  | self ) |

bool render | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos="NONE",
|  | Marble.GeoSceneLayer | layer=0
| ) |  |  |

Renders the content provided by the plugin on the viewport.

Returns:
  true Returns whether the rendering has been successful

QString renderPolicy | ( |  | self ) |

Return how the plugin settings should be used.

QStringList renderPosition | ( |  | self ) |

Preferred level in the layer stack for the rendering

setModel | ( | self, |
|  | Marble.AbstractDataPluginModel | model
| ) |  |  |

Set the model of the plugin.

setNameId | ( | self, |
|  | QString | name
| ) |  |  |

Set the name id of the plugin

setNumberOfItems | ( | self, |
|  | long | number
| ) |  |  |

Set the number of items to be shown at the same time.

[Marble.AbstractDataPluginItem] whichItemAt | ( | self, |
|  | QPoint | curpos
| ) |  |  |

This function returns all items at the position curpos. Depending on where they have been painted the last time.

Returns:
  The items at the given position.